﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ComboSelection
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
    }

    public class Animal
    {
        public string AnimalType { get; set; }
        public string ZooName { get; set; }
        public int Quantity { get; set; }
    }

    public class AnimalCollection : ObservableCollection<Animal>
    {
        public AnimalCollection()
        {
            Add(new Animal { AnimalType = "Tigers", ZooName = "Zoo 1", Quantity = 2, });
            Add(new Animal { AnimalType = "Elephants", ZooName = "Zoo 1", Quantity = 3, });
            Add(new Animal { AnimalType = "Penguins", ZooName = "Zoo 2", Quantity = 15, });
        }
    }

    public class AnimalType
    {
        public string Name { get; set; }
    }

    public class AnimalTypeCollection : List<AnimalType>
    {
        public AnimalTypeCollection()
        {
            Add(new AnimalType { Name = "Tigers" });
            Add(new AnimalType { Name = "Elephants" });
            Add(new AnimalType { Name = "Zebras" });
            Add(new AnimalType { Name = "Penguins" });
            Add(new AnimalType { Name = "Hawks" });
            Add(new AnimalType { Name = "Hippos" });
        }
    }
}
